View Permissions
Finds view permissions with given criteria.
The first result to retrieve. If not set (offset = 0), results will be retrieved starting from row 0.
0The maximum number of results to retrieve. If not set (limit = 0), the default limit will be used. The maximum allowed limit is 1000.
0Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped
-1The ID of the user for whom the view permission applies.
The ID of the user group for whose members the view permission applies.
The ID of the community or domain to which the view permissions apply.
Deprecated. Use Community or Domain to only retrieve view permissions assigned directly on a community or domain respectively. Do not use this filter in conjunction with the resourceId parameter.
Use Community or Domain to only retrieve view permissions assigned directly on a community or domain respectively. Do not use this filter in conjunction with the resourceId parameter.
When you provide a resourceId, setting this parameter to true also returns the view permissions inherited from a parent community.
default response
Response containing the paged information.
The total number of results.
1000The offset for the results.
10The maximum number of results to be returned.
100GET /rest/2.0/viewPermissions HTTP/1.1
Authorization: Basic username:password
Accept: */*
default response
{
"total": 1000,
"offset": 10,
"limit": 100,
"results": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"userId": "123e4567-e89b-12d3-a456-426614174000",
"userGroupId": "123e4567-e89b-12d3-a456-426614174000",
"baseResource": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
}
}
]
}Adds a view permission. It can be applied only to 'Community' and 'Domain' resource types.
The userId of the person who should receive the view permission. Either this or the userGroupId is required.
The userGroupId of the group that should receive the view permission. Either this or the userId is required.
View permission successfully added.
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
ID of the user that is the owner of this ViewPermission, if the owner is a user
ID of the UserGroup that is the owner of this ViewPermission, if the owner is a group
POST /rest/2.0/viewPermissions HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 199
{
"userId": "123e4567-e89b-12d3-a456-426614174000",
"userGroupId": "123e4567-e89b-12d3-a456-426614174000",
"baseResource": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
}
}View permission successfully added.
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"userId": "123e4567-e89b-12d3-a456-426614174000",
"userGroupId": "123e4567-e89b-12d3-a456-426614174000",
"baseResource": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
}
}Retrieves a view permission.
Identifier of the view permission to retrieve.
default response
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
ID of the user that is the owner of this ViewPermission, if the owner is a user
ID of the UserGroup that is the owner of this ViewPermission, if the owner is a group
GET /rest/2.0/viewPermissions/{viewPermissionId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
default response
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"userId": "123e4567-e89b-12d3-a456-426614174000",
"userGroupId": "123e4567-e89b-12d3-a456-426614174000",
"baseResource": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
}
}Removes a view permission.
Identifier of the view permission to remove.
default response
DELETE /rest/2.0/viewPermissions/{viewPermissionId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
default response
Last updated
Was this helpful?